﻿@model IEnumerable<RaamatukoguAPP11.Raamat>

@{
    ViewBag.Title = "Raamatud";
}

<h2>Kõikide andmebaasis olevate raamatute nimekiri</h2>

<p>
    @Html.ActionLink("Lisa uus raamat", "Create")
</p>

@using (Html.BeginForm("Index", "Raamats", FormMethod.Get))
{
    <p>
        Otsi raamatut selle tiitli, autori või kategooria järgi: @Html.TextBox("searching")
        <input type="submit" value="Otsi" />
    </p>
}
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Isbn)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Tiitel)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Autor)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Aasta)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Pilt)
        </th>
        <th>
            Kategooria
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Isbn)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Tiitel)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Autor)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Aasta)
        </td>
        <td>
            @*@Html.DisplayFor(modelItem => item.Pilt)*@
            <img src='@Url.Action( "RaamatuPilt", "Raamats", new { id = item.Kood } )' height="100" />
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Kategooria.Kategooria1)
        </td>
        <td>
            @Html.ActionLink("Muuda", "Edit", new { id = item.Kood })<br />
            @Html.ActionLink("Vaata", "Details", new { id = item.Kood })<br />
            @Html.ActionLink("Kustuta", "Delete", new { id = item.Kood })
        </td>
    </tr>
}

</table>
